log4cplus::thread::SimpleMutex Class Reference

`#include <syncprims.h>`

## Public Member Functions

| SimpleMutex ()
| ~SimpleMutex ()
| SimpleMutex (SimpleMutex const &)=delete
SimpleMutex & | operator= (SimpleMutex const &)=delete
void | lock () const
bool | try_lock () const
void | unlock () const

## Detailed Description

Definition at line 62 of file syncprims.h.

## Constructor & Destructor Documentation

## SimpleMutex() [1/2]

log4cplus::thread::SimpleMutex::SimpleMutex | ( |  | ) |

Referenced by operator=(), and SimpleMutex().

## ~SimpleMutex()

log4cplus::thread::SimpleMutex::~SimpleMutex | ( |  | ) |

## SimpleMutex() [2/2]

log4cplus::thread::SimpleMutex::SimpleMutex | ( | SimpleMutex const & |  | ) |

delete

References SimpleMutex().

## Member Function Documentation

## lock()

void log4cplus::thread::SimpleMutex::lock | ( |  | ) | const

## operator=()

SimpleMutex & log4cplus::thread::SimpleMutex::operator= | ( | SimpleMutex const & |  | ) |

delete

References SimpleMutex().

## try_lock()

bool log4cplus::thread::SimpleMutex::try_lock | ( |  | ) | const

## unlock()

void log4cplus::thread::SimpleMutex::unlock | ( |  | ) | const

The documentation for this class was generated from the following file:

- syncprims.h